{"components":{"schemas":{"Address of person":{"properties":{"address":{"description":"Street address","type":"string"},"city":{"description":"Postal city","type":"string"},"coAddress":{"description":"Care of","type":"string"},"country":{"description":"Country","type":"string"},"countryCode":{"description":"Country code","type":"string"},"zipCode":{"description":"Zip code","type":"string"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"BusinessProhibitionRecord":{"description":"Business prohibition record","properties":{"addressInformation":{"$ref":"#/components/schemas/Address of person"},"changeDate":{"description":"Date for when the record was changed","type":"string"},"courtCode":{"description":"Swedish court code","type":"string"},"dataSourcing":{"$ref":"#/components/schemas/Holds internal information about the case number etc"},"decisionDate":{"description":"Decision date of prohibition","type":"string"},"decisionTypeCode":{"description":"Decision type code","type":"string"},"exemptionFromDate":{"description":"From date for exemption","type":"string"},"exemptionRevocationDate":{"description":"Date of revocation of exemption","type":"string"},"exemptionToDate":{"description":"The exemption is valid until this date","type":"string"},"freeText":{"description":"Free text about the business prohibition","type":"string"},"name":{"$ref":"#/components/schemas/Name of person"},"personId":{"description":"Swedish personal identity number","type":"string"},"temporaryProhibitionDecisionDate":{"description":"Decision date of a temporary prohibition","type":"string"},"temporaryProhibitionMonitoringDate":{"description":"Montoring date of a temporary prohibition","type":"string"},"validFromDate":{"description":"Prohibition is valid from-date","type":"string"},"validToDate":{"description":"Prohibition is valid to-date","type":"string"}},"type":"object"},"BusinessProhibitionResults":{"description":"Roaring Group person business prohibition results","properties":{"records":{"description":"found business prohibition results","items":{"$ref":"#/components/schemas/BusinessProhibitionRecord"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"CompanyBusinessProhibition":{"description":"A person with business prohibition related to the company","properties":{"personId":{"description":"Swedish personal identity number","type":"string"},"relationsToCompany":{"description":"The persons relations to the company","items":{"$ref":"#/components/schemas/CompanyRelation"},"type":"array"}},"type":"object"},"CompanyBusinessProhibitionRecord":{"description":"A company with one or more related persons with business prohibition","properties":{"companyId":{"description":"Company identifier (company registration number / organization number)","type":"string"},"personsWithBusinessProhibition":{"description":"Persons with business prohibition related to the company","items":{"$ref":"#/components/schemas/CompanyBusinessProhibition"},"type":"array"}},"type":"object"},"CompanyBusinessProhibitionResults":{"description":"Company business prohibition results","properties":{"records":{"description":"Companies with one or more related persons with business prohibition","items":{"$ref":"#/components/schemas/CompanyBusinessProhibitionRecord"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"CompanyRelation":{"description":"Type of relation to company","properties":{"isCurrent":{"description":"Whether belongs to current (true) or history (false) person relation","type":"boolean"},"relation":{"description":"The persons relation to the company","enum":["BOARD_MEMBER","BENEFICIAL_OWNER","ALT_BENEFICIAL_OWNER"],"type":"string"}},"type":"object"},"Holds internal information about the case number etc":{"properties":{"caseNumber":{"description":"Internal case number","type":"string"},"isCorrection":{"description":"Flag that signals if this is a correction of earlier information","type":"boolean"}},"type":"object"},"Name of person":{"properties":{"firstName":{"description":"First name","type":"string"},"fullName":{"description":"Full name","type":"string"},"surName":{"description":"Surname","type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Check for for active business prohibitions against an individual or representatives of a company. This API provides detailed information on restrictions that may prevent a person from engaging in business activities.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Business Prohibition","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/business-ban-v.1.1%20(1).svg"}},"openapi":"3.0.1","paths":{"/company/{companyId}":{"get":{"operationId":"viewCompany","parameters":[{"description":"Company identifier (company registration number / organization number)","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"How many years back to look for a person related to the company. Set to 0 to only check current relations.","in":"query","name":"relationsHistoryYears","schema":{"default":2,"type":"number"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyBusinessProhibitionResults"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Get info if any representatives for a company has business prohibition","tags":["BusinessProhibition"]}},"/person/{personalNumber}":{"get":{"operationId":"viewPerson","parameters":[{"description":"personal number of person","in":"path","name":"personalNumber","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProhibitionResults"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Get info if a person has business prohibition","tags":["BusinessProhibition"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/businessprohibition/1.0"}],"x-category":"person","x-countries":["se"],"x-id":"BusinessProhibition"}